> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Renew Video Conference Presence > Confirms that you are still in the call. The call window sends this request periodically. When these requests stop, for example because the client closed unexpectedly, the server records you as having left the call. You must be a member of the conference or have access to the conference's room or discussion. Requests are limited to 20 per minute per client IP address. ### Changelog | Version | Description | | ------- | ----------- | | 8.9.0 | Added | ## OpenAPI ````json POST /api/v1/video-conference.heartbeat { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Federation" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/video-conference.heartbeat": { "post": { "tags": [ "Video Conference" ], "summary": "Renew Video Conference Presence", "description": "Confirms that you are still in the call. The call window sends this request periodically. When these requests stop, for example because the client closed unexpectedly, the server records you as having left the call.\n\nYou must be a member of the conference or have access to the conference's room or discussion. Requests are limited to 20 per minute per client IP address.\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 8.9.0 | Added |", "operationId": "post-api-v1-video-conference.heartbeat", "parameters": [ { "$ref": "#/components/parameters/X-User-Id" }, { "$ref": "#/components/parameters/X-Auth-Token" } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "type": "object", "required": [ "callId" ], "additionalProperties": false, "properties": { "callId": { "type": "string", "description": "The video conference call ID.", "example": "697887e3c8b0533020781a4a" } } }, "examples": { "Example": { "value": { "callId": "697887e3c8b0533020781a4a" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Missing Parameter": { "value": { "success": false, "error": "must have required property 'callId' [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "404": { "description": "Not Found. The call does not exist, or you are neither a member of the conference nor able to access its room.", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Not Found": { "value": { "success": false, "error": "Resource not found" } } } } } } } } } }, "components": { "parameters": { "X-User-Id": { "name": "X-User-Id", "in": "header", "required": true, "schema": { "type": "string" }, "example": "CkCPNctrgCDfmWLqC", "description": "The user ID." }, "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": true, "schema": { "type": "string" }, "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE", "description": "The authentication token." } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````